Skip to main content
PUT
/
wealth
/
accounts
/
{account_id}
/
life-events
/
{event_id}
curl --request PUT \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/life-events/{event_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "estimated_cost": "120000.00"
}
'
{
  "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "College for Sarah",
  "event_type": "college",
  "expected_date": "2023-12-25",
  "estimated_cost": "<string>",
  "currency": "USD",
  "recurring": false,
  "linked_goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "notes": "<string>",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Headers

Idempotency-Key
string

Unique key for idempotent operation

Maximum string length: 128

Path Parameters

account_id
string<uuid>
required

The investor account ID

event_id
string<uuid>
required

The life event ID

Body

application/json

Request body for updating a life event (all fields optional)

name
string
Required string length: 1 - 100
event_type
enum<string>
Available options:
college,
wedding,
home_purchase,
retirement,
major_purchase,
career_change,
custom
expected_date
string<date>
estimated_cost
string
Pattern: ^\d+(\.\d{2})?$
currency
string
Pattern: ^[A-Z]{3}$
recurring
boolean
linked_goal_id
string<uuid> | null

Set to null to unlink from goal

notes
string
Maximum string length: 500
status
enum<string>
Available options:
active,
completed,
archived

Response

Life event updated successfully

A planned major life event

event_id
string<uuid>
read-only
account_id
string<uuid>
read-only

The investor account this event belongs to

name
string
Example:

"College for Sarah"

event_type
enum<string>
Available options:
college,
wedding,
home_purchase,
retirement,
major_purchase,
career_change,
custom
expected_date
string<date>
estimated_cost
string

Estimated cost/impact

currency
string
default:USD
Pattern: ^[A-Z]{3}$
recurring
boolean
default:false
linked_goal_id
string<uuid>

Optionally link to a goal

notes
string
Maximum string length: 500
status
enum<string>
default:active
Available options:
active,
completed,
archived
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only